Subject: Re: bug#19393: 25.0.50; Emacs cannot determine coding system of ISO-8859 encoded files

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Jan 2015 11:08:00 -0500

> However, I somehow forgot that, quite contrary to my test program,
> src/buffer.c would use MAP_FIXED only when trying to add some other
> pages on top of an existing region, the beginning of which was mmap'd
> without MAP_FIXED.  Hence the new region could only reach into the data
> segment if the old one was already there.  That is, the patch doesn't
> change the current situation in this regard.

> So I think that the patch would be OK, after all.

Thanks Wolfgang for looking into this.  I'm really unfamiliar with that
code, so I can't help much, but hopefully someone else will be able to
take care of your patch,

        Stefan